# Interface InputCustomProps<T>

interface InputCustomProps<T extends string> {
children?: undefined;
error?: boolean;
label?: string;
onSuggestionMatch?: (
value: Exclude<T, ObjectValue>,
__chromiumPickedFromList: boolean,
) => void;
pinnedLabel?: boolean;
prefix?: ReactNode;
suffix?: ReactNode;
suggestions?: Value<T>[];
}

#### Type Parameters

- T extends string

- Defined in src/components/form/input/Input.tsx:16

#####
Index

### Properties

children?
error?
label?
onSuggestionMatch?
pinnedLabel?
prefix?
suffix?
suggestions?

##
Properties

### `Optional` children

children?: undefined

- Defined in src/components/form/input/Input.tsx:17

### `Optional` error

error?: boolean

- Defined in src/components/form/input/Input.tsx:20

### `Optional` label

label?: string

- Defined in src/components/form/input/Input.tsx:21

### `Optional` onSuggestionMatch

onSuggestionMatch?: (
value: Exclude<T, ObjectValue>,
__chromiumPickedFromList: boolean,
) => void

- Defined in src/components/form/input/Input.tsx:29

### `Optional` pinnedLabel

pinnedLabel?: boolean

When `true` (default), the label stays anchored to the top of the input. When `false`, the label sits inside the input like a placeholder and floats up on focus or when the input has a value.

- Defined in src/components/form/input/Input.tsx:27

### `Optional` prefix

prefix?: ReactNode

- Defined in src/components/form/input/Input.tsx:18

### `Optional` suffix

suffix?: ReactNode

- Defined in src/components/form/input/Input.tsx:19

### `Optional` suggestions

suggestions?: Value<T>[]

- Defined in src/components/form/input/Input.tsx:28